Light Image Resizer, handy tool to resize or convert photo formats (including RAW)
Web site: http://www.obviousidea.com 
Previously known as VSO Image Resizer

Light Image Resizer - 6.2.0.0 - 2024-02-22
==========================================
FIXED:
* processing could get stuck when adding watermark for very large images with certain EXIF orientations
* dimensions displayed in log could be swapped for images with EXIF orientation
* resizing icon files (.ICO) could fail depending on the selected dimensions
* XMP metadata in certain JPEG files might not have been detected
* changing the background color with remove.bg did not work in preview

IMPROVED:
* optimizations for handling ultra high resolution images
* better performance when adding watermark or border for EXIF orientations other than top-left
* remove unknown metadata properties if XMP packet is too large for JPEG

Light Image Resizer - 6.1.9.0 - 2023-11-08
==========================================
FIXED:
* color profile could be incorrectly applied to embedded JPEG thumbnail in some cases
* command line parameter /OptimizeJpeg was not working
* slow thumbnail loading could interfere with processing, causing load errors
* manual crop could crash when loading very large images

IMPROVED:
* updated libwebp to version 1.3.2 (addressing CVE-2023-4863)

Light Image Resizer - 6.1.8.0 - 2023-09-12
==========================================
FIXED:
* "Adjust resolution for portrait" was not working for some portrait images with EXIF metadata
* displayed PDF paper sizes in centimeter were not rounded correctly
* orientation data may have been removed when customizing metadata leading to incorrect orientation
* wrong font may have been used when choosing some 3rd party fonts for watermark text
* output could be empty in rare cases when JPEG optimization failed for very large files

IMPROVED:
* processing should now be faster for large outputs when a maximum file size is set

Light Image Resizer - 6.1.7.0 - 2023-05-11
==========================================
NEW:
* add support for JPEG XR
* smart watermark text variable for oldest and newest date (evaluating EXIF, IPTC and file dates)

FIXED:
* preview was showing an error if image was skipped due to selected policy
* minor interface glitches on Windows 11
* orientation issues with some Camera RAW photos
* output from CR3 files was garbled black and white in some cases
* generated filename could be wrong when there was a name conflict and "Split into parts" was enabled
* changing border options did not refresh preview
* pressing TAB key to navigate in metadata dialog could lead to a crash in some cases
* file extension was not considered when sorting, resulting in a different order than in Explorer
* output format was not respected when resize policy was set to else skip
* preview thumbnail could be displayed with wrong orientation during processing

IMPROVED:
* copy EXIF from CR3 when converting to JPEG
* internal handling of some formats
* updated libraries (IENv12)

Light Image Resizer - 6.1.6.0 - 2022-12-15
==========================================
FIXED:
* out of memory issue when saving large multi-page TIFF
* wrong dimensions could be applied for portrait images
* some log messages were not correctly formatted
* some RAW images could be distorted

IMPROVED:
* limit threads when processing multiple raw files

Light Image Resizer - 6.1.5.0 - 2022-11-07
==========================================
FIXED:
* Canon CR3 files could load with wrong orientation
* orientation could be wrong in some cases when converting JPEG to other formats
* wrong orientation for TIFF files with EXIF data
* interface glitches on some systems with Windows 7

Light Image Resizer - 6.1.4.0 - 2022-09-28
==========================================
FIXED:
* saving in WebP format could fail due to missing system DLL
* "Adjust resolution for portrait" was broken for images containing EXIF metadata
* alpha channel (transparency) was lost when saving in Targa (.tga) format
* JPEG images in RGB format could load with wrong colors

IMPROVED:
* faster loading for watermark preview
* add hint for filenames in preview window if too long to display

Light Image Resizer - 6.1.3.0 - 2022-07-13
==========================================
IMPROVED:
* increase limit for compression size
* updated detection for OS version and edition
* improved support for terminal server

FIXED:
* Light Image Resizer was not available in context menu for JFIF files

Light Image Resizer - 6.1.2.0 - 2022-04-27
==========================================
FIXED:
* a wrong (shifted) file date could be set in some cases when "Keep original file date" was checked
* watermark or border could appear at the wrong position for some images (depending on their EXIF orientation)

Light Image Resizer - 6.1.1.0 - 2022-02-21
==========================================
IMPROVED:
* apply compatible properties to IPTC and XMP when customizing metadata
* prevent main window from appearing quickly when run with /minimized parameter

FIXED:
* displayed saved space was wrong for files that were just copied without processing
* some image formats other than JPEG were fully processed even if not neccessary (due to original size)
* color profile was not applied when updating EXIF thumbnail
* application could hang under some conditions when using both /minimized and /run parameter

Light Image Resizer - 6.1.0.0 - 2021-12-08
==========================================
NEW:
* add filename mask variables for original filename in upper case (%FUP) and lower case (%FLO)

IMPROVED:
* load "fried" PNG (non-standard format used by iOS)

FIXED:
* crash could occur on some systems when processing multiple files due to synchronization issue
* relative folder path was not working from command line
* backup of overwritten file could fail if input and output format were different (i.e. PNG to JPG)

Light Image Resizer - 6.0.9.0 - 2021-09-29
==========================================
NEW:
* added command line parameters: Size, KeepQuality, Progressive

IMPROVED:
* default to LZW compression for TIFF to avoid out of memory issues
* better reliability for update check
* add notice for AVIF files if codec is missing

FIXED:
* original image could have wrong orientation in preview
* wrong dimensions could be applied to image depending on its EXIF orientation
* a crash could occur when using Center mode and padding was applied

Light Image Resizer - 6.0.8.1 - 2021-08-24
==========================================
FIXED:
* profile could be empty in some cases
* some images could have a wrong orientation in preview
* processing could hang in some cases if multithreading was disabled

Light Image Resizer - 6.0.8.0 - 2021-08-23
==========================================
NEW:
* add read support for Scalable Vector Graphics (SVG) files

IMPROVED:
* support local UNC paths in filelist

FIXED:
* "The handle is invalid" error could occur when using Center mode
* out of memory could occur when loading very large interlaced PNG files
* large JPEGs with EXIF orientation other than 1 (top left) could lead to endless processing
* unlock prompt could appear with missing email if license data was stored for all users
* ICC color profile could get damaged in rare cases on certain system locales
* action was always reset to its default (create copies) when set via command line parameter

Light Image Resizer - 6.0.7.0 - 2021-05-05
==========================================
NEW:
* output filename tag %F-Date for original file date

FIXED:
* processing large multi-page TIFF files could lead to crash
* memory leak when cancelling process with multi-page files
* processing could crash due to potential double free error
* saving manual crop could crash if lossless mode was toggled before
* WebP loading failed if there was no codec (i.e. Windows 7)
* loading of file info (date) could fail for very long paths
* time zone issue with file date for watermark tags depending on locale
* deadlock if EXIF tag used in filename mask or watermark text was returning very long text

IMPROVED:
* tabs for PDF and GIF options are highlighted now

Light Image Resizer - 6.0.6.0 - 2021-02-15
==========================================
FIXED:
* some resize policy options were broken, which could result in some images being inadvertently resized
* when undoing a lossless crop, the save button was not always disabled, which could lead to a crash when clicked

Light Image Resizer - 6.0.5.0 - 2020-12-08
==========================================
FIXED:
* certain malformed or damaged TIFF files could cause the application to crash
* watermark text position was not saved correctly
* Crop mode was missing background color selector (used for images smaller than target dimensions)
* corrected some mistakes in contextual help

Light Image Resizer - 6.0.4.0 - 2020-11-02
==========================================
NEW:
* policy options added to skip files which are smaller/larger than target dimensions

FIXED:
* processing could hang when aborting from a warning prompt (for example warning about bad quality)
* unable to create a collage when "Recreate folder structure on destination" was enabled
* preview form was not closed when switching to collage mode
* wrong filename could be shown in log when choosing to rename already existing file
* collage was misaligned when using slash layouts

Light Image Resizer - 6.0.3.0 - 2020-07-23
==========================================
NEW:
* watermark can now use both image and text at the same time

FIXED:
* high memory consumption when adding lots of files, which could lead to out of memory issues
* no appropriate error was reported in some cases when disk was full
* output from certain source formats (like JPEG2000) could be empty in some cases
* metadata was not copied when source file was PSD
* metadata tags with UTF-8 encoding were not correctly decoded when used in watermark text
* memory corruption could occur in some cases when handling EXIF metadata
* IPTC tags in watermark text could just display "N/A" when IPTC was disabled in Misc tab (not copied to output)
* drag & drop from some older (non-Unicode) applications was not working

IMPROVED:
* log can now be scrolled without having focus

Light Image Resizer - 6.0.2.0 - 2020-06-10
==========================================
NEW:
* support for reading Canon .cr3 raw files

FIXED:
* clicking cancel during processing and then continuing could lead to a crash
* undoing a manual crop did not disable the save button, which could cause a crash when clicked
* context help was broken for some controls
* mouse scrolling in help window worked only if it had focus
* screen width & height were not updated when resizing animated GIFs, leading to enlarged background

IMPROVED:
* validate remove.bg API key when entering
* clearer message for errors during background removal
* when undoing a manual crop, the crop selection is now displayed again automatically
* use LZW compression for TIFF output when converting from other formats
* log proper error in case dimensions are too large for output format

Light Image Resizer - 6.0.1.0 - 2020-03-03
==========================================
FIXED:
* manual crop crashed in some cases when saving
* division by zero when size is set too small
* collage preview was not correct for sizes smaller than 1000
* sometimes preview was not loading on first try
* preview was not showing split lines when using split in parts option for transparent images

IMPROVED:
* when doing a manual crop the thumbnail in the list is now updated
* changed collage size in preview will apply to dimensions in main window
* when adding HEIC files and a required codec is missing a notice is shown

Light Image Resizer - 6.0.0.24 - 2020-01-06
===========================================
NEW:
* background can now be filled with a color when using background removal

FIXED:
* dimensions could not be set to values smaller than 1.00 in/cm when Mode was set to Stretch
* potential deadlock when processing is cancelled
* deadlock when cancelling overwrite prompt
* wrong dimensions could be output when processing certain raw files
* out of memory issue when outputting files with huge dimensions

Light Image Resizer - 6.0.0.20 - 2019-11-21
===========================================
FIXED:
* remove.bg link was not clickable
* some dialogs were not scaled to DPI correctly

Light Image Resizer - 6.0.0.18 - 2019-11-07
===========================================
FIXED:
* load fallback for Fuji raw files (.RAF) from newer cameras did not work
* installer was unable to close the application while update form was showing

Light Image Resizer - 6.0.0.16 - 2019-10-22
===========================================
NEW:
* added option "Expand image to background size" for background removal

FIXED:
* loading of WebP images could fail on systems without codec
* there could be duplicates when using "Save as" and choosing to overwrite an existing profile
* background could be scaled incorrectly with remove.bg, not filling the image
* effects were applied before removing background, which could lead to unexpected results
* background removal options were not checked before preview
* fit to window was not applied if preview was reloaded with different dimensions


Light Image Resizer - 6.0.0.14 - 2019-10-10
===========================================
FIXED:
* message "Please enter a valid resolution" could appear when leaving one dimension empty (wildcard)
* some settings were not kept when changing collage preview
* drag & drop to collage form was not working
* animated GIF could produce empty output
* background removal only used preview size

IMPROVED:
* don't stretch images larger than original size by default when fitting to window


Light Image Resizer - 6.0.0.11 - 2019-10-01
===========================================
NEW:
* added mode "Extend to square" which adds blurred content to make the image rectangular
* added action to create animated GIF from input files
* rename action to just rename files without changing image contents
* more layout templates for collage
* drop target area to easily add files by drag & drop (can be enabled in settings)
* manual crop by right-clicking an image in the list
* images in listview can be re-ordered manually by dragging
* dynamic watermark text color (image's average color or complementary color)
* round edges option (see Effects)
* Background removal powered by remove.bg (see respective tab)
* added output format "Icon (.ico)"
* background color for preview window can be changed via right-click menu
* select which metadata values to keep or remove, text based values can also be replaced
* auto-detect width and height when creating new profile with dimensions in name (like "Photos 800x600")
* JPEG compression can be optimized to create smaller files (see Optimization tab)
* colors can now be entered as HTML color values (for background or watermark text colors)
* default action for close button when processing has finished can be changed (see Settings, Process tab)
* save as for profiles (via "..." icon), to save current changes under different name

FIXED:
* preview is not updated when replacement color is changed in settings
* embedded thumbnails were not updated when copying metadata
* crash or error when resizing 1bit image and output is PDF
* relative paths for collage filename did not work
* unit could be set to something else than pixels for collage in some cases
* preview for collage was showing normal preview after collage window, which could lead to crashes
* custom format for %CreationDate% and %ModificationDate% watermark tags was not working
* error could occur when trying to backup raw files with action set to "Replace original"

IMPROVED:
* images are now kept untouched if size is set to 100% and no other effects are applied
* workaround for some 3rd party shell extensions where files could not be loaded by drag & drop
* combined PDF creation is way faster now using multi-threading
* changes to image list in collage window are now reflected in main image list
* accept path with filename for /Dest parameter and set output format accordingly
* command line switch "/OptionsPage" can be used to go to options page
* a folder can now be dropped on the destination box to insert its path
* support for EXIF date tags located in wrong IFD section for watermark text (some Samsung devices)
* keep zoomed view rectangle when updating preview



Light Image Resizer - 5.1.4.1 - 2019-02-20
==========================================
FIXED: unlocking could fail with unknown error in some rare cases

Light Image Resizer - 5.1.4.0 - 2019-02-01
==========================================
FIXED: relative font size for watermark text was set too small for large images
FIXED: some compressed Fuji Raw files (RAF) didn't load correctly in collage mode
FIXED: wrong locale ID set for Georgian translation
IMPROVED: better memory management while processing (should reduce out of memory issues)

Light Image Resizer - 5.1.3.7 - 2018-09-04
==========================================
FIXED: watermark text could be scaled incorrectly when both relative font scaling and word wrap were enabled
FIXED: some panoramic images didn't load due to unsupported markers
FIXED: auto width/height might have been incorrectly set when switching between profiles
IMPROVED: watermark is applied after other effects to allow adding a border first

Light Image Resizer - 5.1.3.0 - 2018-03-27
==========================================
FIXED: gray border could appear when resizing transparent images
FIXED: if LIR was closed too early while sending email, the email client could become unresponsive
FIXED: sharing violation could occur if some files being processed were read by another application
IMPROVED: add message with option to retry if there is not enough space in the destination

Light Image Resizer - 5.1.2.0 - 2018-02-05
==========================================
NEW: option to scale watermark text relative to image size
FIXED: crash if watermark font size is invalid
FIXED: inconsistency with drag & drop operations
FIXED: loading of monochrome TIFF failed
FIXED: slow processing of multiframe images (TIFF or animated GIF)
FIXED: prompt for mail client could be shown even if email option was not checked
FIXED: application window could appear in the background when launched via some 3rd party file managers
IMPROVED: save size and position of preview window (if enabled in settings)
IMPROVED: fallback to primary language when sublanguage is not available
IMPROVED: don't apply language change when cancelling settings

Light Image Resizer - 5.1.1.0 - 2017-11-28
==========================================
NEW: some additional layouts for collage mode
FIXED: crash could occur in some cases when loading failed
FIXED: in some cases an installed email client was not detected
FIXED: loading of WebP images was broken
IMPROVED: try to load embedded JPEG for unsupported RAW files

Light Image Resizer - 5.1.0.0 - 2017-10-24
==========================================
NEW: extract embedded JPEG for FUJI RAW files (.RAF) that use compression (resolution will be lower than original)
NEW: Samsung RAW files (.SRW) added to supported file extensions
FIXED: processing images with varying color profiles in a row could lead to incorrect results
FIXED: some conversions between color spaces were producing wrong colors
FIXED: IPTC metadata could be added twice in some cases
FIXED: some output format choices could result in the wrong format being used
FIXED: destination for collage could be stuck with a fixed filename when profile was saved
IMPROVED: support unicode filenames when sending email
IMPROVED: prevent creation of 0 byte files when disk is full

Light Image Resizer - 5.0.9.0 - 2017-07-31
==========================================
FIXED: processing could freeze when preview window was open
FIXED: some TIFF files with unequal DPI values could appear deformed
FIXED: wrong preview could be loaded when navigating in some cases
IMPROVED: skipping through previews is faster now
IMPROVED: less delay when processing is cancelled
IMPROVED: display error details in case loading failed (e.g. "access denied")
IMPROVED: use name as secondary sort key when sorting by type, size, or date

Light Image Resizer - 5.0.8.0 - 2017-07-12
==========================================
NEW: background color selection for collage
FIXED: subfolders command line parameter was not handled correctly
FIXED: parsing of subfolders when using wildcards could add files several times
FIXED: background color of watermark text was not applied
FIXED: don't add temporary profiles to recent list
FIXED: some collage templates were producing the wrong layout in the saved image
FIXED: profile was not cleared in some cases, which could wrongly override parameters from command line
FIXED: wrong image and file size displayed in preview for multi-page images (TIFF)
FIXED: last used profile was not selected correctly in some cases
IMPROVED: expand relative file paths from command line with working directory

Light Image Resizer - 5.0.7.0 - 2017-06-07
==========================================
NEW: support reading of BigTIFF format
FIXED: application title was incorrectly updated during processing
FIXED: preview windows did not show error if image could not be loaded
FIXED: auto close function was broken
FIXED: main menu had no text in rare cases
IMPROVED: display an error message if files specified in command line are not found
IMPROVED: better documentation for command line usage (see switches.txt)
IMPROVED: use fallback in case image loading fails

Light Image Resizer - 5.0.6.0 - 2017-05-08
==========================================
FIXED: crash or black output could occur if resizing to very large dimensions
FIXED: crash could occur when closing preview right before image finished loading
FIXED: original preview was not loaded when using Center mode
FIXED: memory leak when watermark text rendering failed
FIXED: Add Border dialog would not accept decimal places if unit was set to percent
FIXED: alignment of watermark text when using rotation
IMPROVED: detect read-only flag of target files

Light Image Resizer - 5.0.5.1 - 2017-03-22
==========================================
NEW: watermark image can be tiled now (by setting Resize option to Tile)
NEW: transparent background can be selected for Center mode
NEW: add recent profiles to application jumplist
FIXED: rotation for watermark image was broken
FIXED: using Percent with Center mode could result in wrong dimensions
FIXED: output was not centered in Crop mode when source was smaller than target dimensions
FIXED: preview was not refreshed when changing some options
FIXED: error after processing in some cases (Error in OnFinished)
FIXED: sequential number for watermark text was off by 1 (i.e. starting at 2 when supposed to start at 1)
FIXED: processing was slowed down and not working at full performance with lots of files

Light Image Resizer - 5.0.4.0 - 2017-02-13
==========================================
FIXED: ICO files were loaded without transparency
FIXED: context menu was displayed for some unsupported virtual folders
FIXED: state of auto width/height could be wrong when switching profiles
FIXED: dialog to add images didn't allow to select multiple files in some cases
FIXED: path auto completion for destination was broken
IMPROVED: better check to avoid parsing of compressed folders (ZIP, CAB)
IMPROVED: include hidden files based on system setting
IMPROVED: recreate folder structure now also works if just one folder was added
IMPROVED: folder name can be specified in filename mask before a backslash (e.g. "subfolder\%F")
IMPROVED: use new dialog to select folders (similar to files)
IMPROVED: place backup files in a sub-folder named "LightImageResizer_Backups" for more convenience
IMPROVED: better interface scaling for high DPI (esp. 4K monitors)
IMPROVED: limit threads to 8 on auto setting to avoid memory issues

Light Image Resizer - 5.0.3.1 - 2017-01-16
==========================================
FIXED: preview for TIFF with color profile could show wrong colors
FIXED: empty shell context menu introduced in last version
IMPROVED: synchronize state for shell extension submenu on launch

Light Image Resizer - 5.0.3.0 - 2017-01-10
==========================================
NEW: setting to save window size and position
NEW: option "Fix gamma when resizing" (see Optimization tab), which can prevent images from getting darker
FIXED: images with large color profiles may cause corrupted output
FIXED: wrong color space chosen in some cases
FIXED: selected DPI resolution was not applied for Bitmap output
FIXED: Next button could be at the wrong position
FIXED: additional frames of multi-page TIFF were not added to combined PDF
FIXED: some parts of the interface appeared in black if theming was disabled (classic mode)
FIXED: left main menu could be cut off depending on language and font size
FIXED: unwanted linebreaks were added in rendered watermark text
FIXED: some issues with interface controls on high DPI screens
FIXED: font size in watermark options was not loaded correctly in some cases
FIXED: in some conditions folders pinned to Windows Explorer were opened in Light Image Resizer instead
IMPROVED: rendering of watermark text is a lot faster now
IMPROVED: accept additional files if launched via shell verb
IMPROVED: load and apply color profiles embedded in PNG
IMPROVED: don't display line break tags (<br>) in watermark text entry
IMPROVED: adapt offset for watermark text based on font size

Light Image Resizer - 5.0.2.0 - 2016-11-17
==========================================
FIXED: resource leak in thumbnail list caused crashes when a lot of images were added
FIXED: some valid email addresses were not accepted
FIXED: OS version detection could cause crash on startup in rare cases
FIXED: target selection for digital frame mode was not working

Light Image Resizer - 5.0.1.2 - 2016-10-21
==========================================
NEW: more camera related EXIF values for watermark text
FIXED: crash when using Crop mode and wildcard (width or height empty)
FIXED: stretched portrait images when using "Adjust resolution for portrait" option
FIXED: crash when saving large log file on close
FIXED: processed image could have wrong orientation if source was not landscape
FIXED: ICC profile was not copied from TIFF to JPEG, resulting in wrong colors
FIXED: XMP metadata could be corrupted when converting from TIFF
FIXED: certain JPEG images could cause crashes in the file selection dialog (PhotoMetadataHandler)
FIXED: color profile could be added several times in some cases
FIXED: metadata for TIFF files was copied even if those options were disabled
FIXED: dimensions were not applied if specified via command line
FIXED: resizing failed if image type did not match file extension (e.g. PNG with .jpg extension)

Light Image Resizer - 5.0.0.20 - 2016-08-19
===========================================
NEW: redesigned and improved interface
NEW: collage action to create nice photo collages easily
NEW: recently used profiles are displayed on top of the list (can be disabled in settings)
NEW: options to adjust brightness and contrast (see Effects tab)
NEW: colors option to set bit depth for BMP/PNG, and color space for JPEG/TIFF output
NEW: several new tags for watermark text (sequential number, image count, EXIF rating, etc.)
NEW: support for 32bit bitmap (with alpha channel)
FIXED: action "Create PDF" could fail if output format is not JPEG
FIXED: backup files could be deleted/corrupted in certain cases (for example if not enough space)
FIXED: status display issue when processing files again
FIXED: watermark text might select wrong font when using font name with spaces
IMPROVED: overall performance improved
IMPROVED: downsizing of large images to half size (or lower) should work better
IMPROVED: lots of other optimizations and improvements
